<template>
  <textarea-autosize
    v-bind="$attrs"
    ref="inputRef"
    @input="$event.target.value = $event.target.value.replace(/\n/g, '')"
    class="font-base border-none bg-transparent leading-none"
    rows="1"
    placeholder="My new task"
  />
</template>

<script lang="ts">
import { ref } from "vue";
import TextareaAutosize from "../TextareaAutosize.vue";
export default {
  components: { TextareaAutosize },
  setup() {
    const inputRef = ref<any | null>(null);
    return {
      inputRef,
      focus: () => {
        return inputRef.value?.focus();
      }
    };
  }
};
</script>
